# Uses of Class
org.eclipse.mat.hprof.SeekableStream.RandomAccessInputStream

Packages that use SeekableStream.RandomAccessInputStream
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).

## Uses of SeekableStream.RandomAccessInputStream in org.eclipse.mat.hprof

Constructors in org.eclipse.mat.hprof with parameters of type SeekableStream.RandomAccessInputStream
Modifier
Constructor
Description
``
`SeekableStream(Supplier<InputStream> genstream, SeekableStream.RandomAccessInputStream underlying, int cachesize, long estlen)`
Creates a seekable stream out of a non-seekable stream.